
/* GENERAL  */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@import url('https://fonts.googleapis.com/css2?family=Schoolbell&display=swap');

body {

background-color: #2be5a1;
  background-image:
    linear-gradient(45deg, #fb562f 25%, transparent 25%),
    linear-gradient(-45deg, #fb562f 25%, transparent 25%),
    linear-gradient(45deg, transparent 75%, #fb562f 75%),
    linear-gradient(-45deg, transparent 75%, #fb562f 75%);
  background-size: 40px 40px;
  background-position: 
    0 0,
    0 20px,
    20px -20px,
    -20px 0px;

    font-family: 'Schoolbell', cursive;
    font-weight: 400;
    font-style: normal;
  background-color: black;
  font-size: 20px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
}

iframe {
    z-index: 0;
    border: none;
}

p {
    margin-bottom: 1rem;

}

button {
    color: #392927;
}

a {
    color: orange;
}

/* INTRO Y OUTRO */

#intro-fig {
    position: relative;
}


.overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 1;
}


#outro {
    padding: 2rem;
    text-align: center;
    font-size: 14px;
}

/* TEXT BLOCKS */
.text-block {
    padding: 4rem;
    margin-block: 2rem;
    margin-inline: auto;
    max-width: clamp(300px, 80%, 1040px);
    
}

.text-block h1 {
    font-size: 2rem;

}

.textointro {
    font-size: 18px

}

/* SCROLLAMA STYLE */

.scrolly {
    position: relative;
    padding: 0.1px;
 
}

.figure__full {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    z-index: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.article__center {
    position: relative;
    padding: 0;
    max-width: 30rem;
    margin: 0 auto;
    z-index: 1;
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.article__left {
    position: relative;
    padding: 0;
    max-width: 30rem;
    margin: 0 auto;
    right: 20%;
    z-index: 1;
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);

}

.step {
    margin: 40rem auto;
    background: rgba(255, 255, 255, 0.9);
    padding: 1.25em;
    border-radius: 10px;
    box-shadow: rgb(0 0 0 / 20%) 0px 0px 10px;
    color: black;
    z-index: 1;

}

/* IMAGES */
.image__full {
    height: 100%;
    width: 100%;
    object-fit: cover;
    max-height: 100vh;
    max-width: 100vw;
}

.image__center {
    height: 100%;
    width: 100%;
    object-fit: contain;
    max-height: 100vh;
    max-width: 100vw;
}

.text-block {
    color: black;
    text-align: center;
}


.creditostext {
    text-align: center;
}


/*  MEDIA QUERIES */

@media screen and (max-width: 600px) {
  
    .scrolly {
    position: relative;
 
}

    .article__center {
        max-width: 20rem;
        margin: 0 auto;
    }

   .image__full {
    height: 100%;
    width: 100%;
    object-fit: contain;
    max-height: 100vh;
    max-width: 100vw;
}
    .step {
        margin: 40rem auto;
    }

}